function importStrengthlevel()
{
	try
	{
		var strImportAwpLimits 		= getLocale("ofm.strengthlevel.importtitle");
		var strImportAwpLimitsOrder	= getLocale("ofm.strengthlevel.importtext");
		var strDefaultInput			= "\
Staerke 1        0\t\tStaerke 14   7.389\n\
Staerke 2      232\t\tStaerke 15   8.713\n\
Staerke 3      341\t\tStaerke 16  10.050\n\
Staerke 4      468\t\tStaerke 17  11.425\n\
Staerke 5      638\t\tStaerke 18  12.602\n\
Staerke 6      927\t\tStaerke 19  13.468\n\
Staerke 7    1.335\t\tStaerke 20  14.404\n\
Staerke 8    1.881\t\tStaerke 21  15.262\n\
Staerke 9    2.582\t\tStaerke 22  15.917\n\
Staerke 10   3.436\t\tStaerke 23  16.571\n\
Staerke 11   4.391\t\tStaerke 24  17.324\n\
Staerke 12   5.304\t\tStaerke 25  17.632\n\
Staerke 13   6.272";
		var input	= {dialogTitle:strImportAwpLimits,orderToUser:strImportAwpLimitsOrder, defaultInput:strDefaultInput};
		var output	= {};
		window.openDialog("chrome://foxfm/content/dialog.xul", "", "centerscreen, resizable=yes, minwidth=750em, minheight=300em", input, output);
		
		if (output.userinput)
		{
			// User clicked ok. Process changed arguments; e.g. write them to disk or whatever
			// alert(output.userinput);
			var userinput		= output.userinput.replace(/\./gm, "");
			if(userinput)
			{
				var aStrengthlevel 	= userinput.match(/\d+\.*\d*/gm);
				infoMessage(2, "Strengthlevel & points:" + aStrengthlevel);
				var strDebug = "";
				for(var i=0; i<aStrengthlevel.length; i++)
				{
					if(aStrengthlevel[i]!=0 && aStrengthlevel[i]!=1 && aStrengthlevel[i]<99)
					{
						var strengthlevel 		= aStrengthlevel[i];
						var strengthlevelawps 	= aStrengthlevel[i+1];
						strDebug += strengthlevel + " - " + strengthlevelawps + "; ";
						
						prefPanelStrengthlevel = document.getElementById("tbStrlvl" + strengthlevel);
						if(prefPanelStrengthlevel)
						{
							prefPanelStrengthlevel.value = strengthlevelawps;
							// prefPanelStrengthlevel.oninput();
						}
						else
						{
							infoMessage(0, "importStrengthlevel(): Could not clearly determine strengthlevel and correpsondent AWPs from given string: " + strengthlevel + ": " + strengthlevelawps);
						}
					}				
				}
				infoMessage(2, strDebug);
			}
			else
			{
				myUserException=new UserException(getLocale("ofm.strengtlevel.importerror"));
				throw myUserException; 
			}			
		}			
		else 
		{
			// User clicked cancel. Typically, nothing is done here.
		}
	} catch (e) {
		exceptionHandler(e);
	}
}